Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdConfig.HeaderFooter

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig.HeaderFooter

Enclosing class:
  cmdConfig

    public static class cmdConfig.HeaderFooter
    extends cmdConfig

Provides methods for setting header and footer *

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig

  `cmdConfig.Baudrate, cmdConfig.DateTime, cmdConfig.HeaderFooter, cmdConfig.LANSettings`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HeaderFooter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clearHeaderLines​(java.lang.Integer lineIndex)` | Delete text of header line
  `java.lang.String` | `getFooterLines​(int lineIndex)` |
  `int` | `getFooterLinesCount()` |
  `java.lang.String` | `getHeaderLines​(java.lang.Integer lineIndex)` |
  `int` | `getHeaderLinesCount()` |
  `void` | `setFooterLines​(java.lang.Integer lineIndex, java.lang.String footerLineText)` | Write footer line to device
  `void` | `setHeaderLines​(java.lang.Integer lineIndex, java.lang.String headerLineText)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig

  `GetAutoPaperCutting, GetAutoPaperCutting, GetBarcodeHeight, GetDepartmentPrint, GetDrawerOpening, GetExchangeRate, GetFontType, GetForeignPrint, GetInvoiceInterval, GetLANSettings, GetLogoHeight, GetLogoPrint, GetPayName, GetPrintVAT, GetPrnQuality, GetReceiptFormat, GetSpaceLines, Logo_ReadRow, Logo_SaveToDevice, Logo_WriteRow, SetBarcodeHeight, SetCodePageDOS856, setDepartment, SetDepartmentPrint, SetDrawerOpening, SetFontType, SetForeignPrint, SetFpComBaudRate, SetInvoiceInterval, SetLANSettings, SetLogoPrint, SetOperName, SetOperPasw, SetPayName, SetPrintVAT, SetPrnQuality, SetReceiptFormat, SetSpaceLines`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooter

    public HeaderFooter()

- ## Method Details

  - ### getHeaderLines

    public java.lang.String getHeaderLines​(java.lang.Integer lineIndex) throws java.lang.Exception
    Parameters:
      `lineIndex` - - Determinate Header line Index 0 is for line 1
    Returns:
      - Text
    Throws:
      `java.lang.Exception`

  - ### setHeaderLines

    public void setHeaderLines​(java.lang.Integer lineIndex, java.lang.String headerLineText) throws java.lang.Exception
    Parameters:
      `lineIndex` - - Determinate Header line Index 0 is for line 1
      `headerLineText` - - Text up to XX symbols.,
    Throws:
      `java.lang.Exception`

  - ### clearHeaderLines

    public void clearHeaderLines​(java.lang.Integer lineIndex) throws java.lang.Exception
    Delete text of header line
    Parameters:
      `lineIndex` - - Determinate Header line Index 0 is for line 1
    Throws:
      `java.lang.Exception`

  - ### setFooterLines

    public void setFooterLines​(java.lang.Integer lineIndex, java.lang.String footerLineText) throws java.lang.Exception
    Write footer line to device
    Parameters:
      `lineIndex` - - Determinate Footer line Index 0 is for line 1
    Throws:
      `java.lang.Exception`

  - ### getHeaderLinesCount

    public int getHeaderLinesCount()
    Returns:
      - number of Header lines supported by the device

  - ### getFooterLinesCount

    public int getFooterLinesCount()
    Returns:
      - number of Footer lines supported by the device

  - ### getFooterLines

    public java.lang.String getFooterLines​(int lineIndex) throws java.lang.Exception
    Parameters:
      `lineIndex` - - Determinate Footer line Index 0 is for line 1
    Returns:
      Footer line
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`